#!/usr/bin/env node

// copy pre-commit to .git/hooks/pre-commit

var fs = require('fs');
var path = require('path');
var execSync = require('child_process').execSync;

var gitRoot = execSync('git rev-parse --show-toplevel').toString().trim();

var sourcePath, destPath;

sourcePath = path.join(__dirname, 'pre-commit');
destPath = path.join(gitRoot, '.git', 'hooks', 'pre-commit');

console.log('Creating .git/hooks/pre-commit...');
fs.writeFileSync(destPath, fs.readFileSync(sourcePath));
fs.chmodSync(destPath, '755');

